import { getAllRoleList } from '@/api/system/role/role';
import { BasicColumn, FormSchema } from '@/components/Table';
import { h } from 'vue';
import { Switch } from 'ant-design-vue';
import { useMessage } from '@/hooks/web/useMessage';
import { changeFlagApi } from '@/api/system/user/user';
// 引入开关组件
type CheckedType = boolean | string | number;

/** 列表筛选项*/
export const searchFormSchema: FormSchema[] = [

];

/** 列表展示字段*/
export const columns: BasicColumn[] = [
  {
    title: '名称',
    dataIndex: 'name',
    width: 120,
  },
  {
    title: '优先级排序',
    dataIndex: 'sort',
    width: 120,
  },
  {
    title: '描述',
    dataIndex: 'describe',
    width: 120,
  },
  {
    title: '推荐保护动作',
    dataIndex: 'protectAction',
    width: 140,
  },
  {
    title: '拥有者',
    dataIndex: 'owner',
    width: 140,
  },
  {
    title: '创建时间',
    dataIndex: 'createDate',
    width: 180,
  },
  {
    title: '更新时间',
    dataIndex: 'updateDate',
    width: 180,
  },
];

/** 新增编辑表单字段*/
export const formSchema: any[] = [
  {
    field: 'name',
    label: '名称',
    component: 'Input',
    rules: [
      {
        required: true,
        message: '请输入名称',
      },
    ],
  },
  {
    field: 'sort',
    label: '优先级排序',
    component: 'Input',
    rules: [
      {
        required: true,
        message: '请输入优先级排序',
      },
    ],
  },
  {
    field: 'describe',
    component: 'InputTextArea',
    label: '描述',
    componentProps: {
      placeholder: '请输入描述',
      rows: 4,
    },
  },
  {
    field: 'protectAction',
    label: '推荐保护动作',
    component: 'Select',
    componentProps: {
      options: [
        { label: '脱敏', value: '脱敏' },
        { label: '放行', value: '放行' },
        { label: '拒绝', value: '拒绝' },
      ],
    },
    rules: [
      {
        required: true,
        message: '请选择推荐保护动作',
      },
    ],
  },
]
